# $Revision: 1.32 $, $Date: 2011/05/04 07:22:08 $
%bcond_with	tests	# disable "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	MPD
Summary:	Audio::MPD - a Perl module for developing MPD
Summary(pl.UTF-8):	Audio::MPD - moduł Perla do rozwijania aplikacji dla MPD
Name:		perl-Audio-MPD
Version:	1.111200
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/J/JQ/JQUELIN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5abd3988173b1f5b925b3e0bb56f6f3c
URL:		http://search.cpan.org/dist/Audio-MPD/
%{?with_tests:BuildRequires:	perl-Audio-MPD-Common}
%{?with_tests:BuildRequires:	perl-Class-Accessor}
BuildRequires:	perl-Module-Build >= 1:0.3601
%{?with_tests:BuildRequires:	perl-Test-Pod-Coverage}
%{?with_tests:BuildRequires:	perl-Test-Pod}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio::MPD is a Perl module for developing MPD (Music Player Daemon)
clients and other scripts that control the MPD server.

%description -l pl.UTF-8
Audio::MPD to moduł Perla do rozwijania klientów i innych skryptów
sterujących serwerem MPD (Music Player Daemon).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Audio/MPD.pm
%{perl_vendorlib}/Audio/MPD/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-MPD.spec,v $
Revision 1.32  2011/05/04 07:22:08  lisu
- updated to 1.111200

Revision 1.31  2011/03/07 08:19:03  lisu
- up to 1.110560

Revision 1.30  2010/08/15 08:34:29  lisu
- up to 1.102260

Revision 1.29  2010/02/15 15:03:49  sparky
- epoch for perl-Module-Build

Revision 1.28  2010/02/15 10:11:38  lisu
- up to 1.100430

Revision 1.27  2009/11/16 05:38:03  amateja
- updated to 1.093170

Revision 1.26  2009/10/26 14:42:14  amateja
- updated to 1.092950

Revision 1.25  2009/10/19 12:42:57  lisu
- up to 0.19.9
- do not perform tests by default (something is wrong here)

Revision 1.24  2009/10/07 07:14:40  lisu
- up to 0.19.7

Revision 1.23  2009/02/16 08:40:26  lisu
- 0.19.6

Revision 1.22  2009/01/06 10:47:08  lisu
- 0.19.5

Revision 1.21  2008/11/24 13:02:29  lisu
- 0.19.4

Revision 1.20  2008/07/05 21:35:19  lisu
- "make tests" by default - sholud be ok with this version

Revision 1.19  2008/07/05 21:25:19  lisu
- 0.19.2

Revision 1.18  2008/03/13 22:01:59  qboosh
- unified

Revision 1.17  2007-12-16 09:35:39  lisu
- remove dir belonging to perl-Audio-MPD-Common already

Revision 1.16  2007-12-15 22:22:55  lisu
- 0.19.1
- add missing dir to avoid errors when installing

Revision 1.15  2007-12-07 02:53:43  sls
- switched off "tests" bcond

Revision 1.14  2007-12-06 23:33:04  sls
- dir perl_vendorlib/Audio/MPD moved to perl-Audio-MPD-Common from
  perl-Audio-MPD to avoid loop in dependencies

Revision 1.13  2007-12-06 23:16:19  sls
- removed fake BR: perl-DB_File, perl-Getopt-Euclid, perl-Proc-Daemon
  (they are autodetected Req)
- BR: perl-Audio-MPD-Common, perl-Class-Accessor are needed only for tests

Revision 1.12  2007-12-06 22:38:38  sls
- typo in Summary

Revision 1.11  2007-12-02 22:00:13  lisu
- 0.19.0
- BRs: perl-DB_File, perl-Getopt-Euclid, perl-Proc-Daemon
- still doesn't build with tests

Revision 1.10  2007-11-28 11:55:22  sls
- rel. 1
- BR: perl-Class-Accessor, perl-Audio-MPD-Common, perl-Test-Pod*

Revision 1.9  2007-11-28 10:26:14  lisu
- 0.18.3
- still doesn't work

Revision 1.8  2007-11-14 22:46:27  lisu
- 0.18.2

Revision 1.7  2007-07-08 16:18:42  qboosh
- cleanup, removed dir belonging to perl-dirs

Revision 1.6  2007/07/05 21:27:15  lisu
- proper URL

Revision 1.5  2007/06/26 23:20:45  jackass
- add missing BR

Revision 1.4  2007/06/26 23:03:23  lisu
- pl fixes

Revision 1.3  2007/06/26 22:51:58  jackass
- convert to UTF-8

Revision 1.2  2007/06/26 22:45:05  jackass
- typo in SOURCE

Revision 1.1  2007/06/26 22:41:25  jackass
- initial version
